Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
Class TreeNodeWithProperties

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          groovy.inspect.swingui.TreeNodeWithProperties

    class TreeNodeWithProperties
    extends DefaultMutableTreeNode

This class is a TreeNode and you can store additional properties on it.

author:
  Hamlet D'Arcy

Field Summary

Fields inherited from class DefaultMutableTreeNode
EMPTY_ENUMERATION

Property Summary
`List` | `properties`

Constructor Summary
`TreeNodeWithProperties(def userObject, List properties)` Creates a tree node and attaches properties to it.

Method Summary

Methods inherited from class DefaultMutableTreeNode
add, clone, toString, getParent, remove, remove, insert, setParent, getPath, getIndex, children, getDepth, getChildCount, isLeaf, isRoot, getLevel, getChildAt, removeAllChildren, removeFromParent, setUserObject, getAllowsChildren, getRoot, breadthFirstEnumeration, depthFirstEnumeration, getChildAfter, getChildBefore, getFirstChild, getFirstLeaf, getLastChild, getLastLeaf, getLeafCount, getNextLeaf, getNextNode, getNextSibling, getPreviousLeaf, getPreviousNode, getPreviousSibling, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, setAllowsChildren, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### properties

    List properties

Constructor Detail

### TreeNodeWithProperties

    public TreeNodeWithProperties(def userObject, List properties)

  Creates a tree node and attaches properties to it.
  param:
    userObject same as a DefaultMutableTreeNode requires
  param:
    properties a list of String lists

Copyright © 2003-2009 The Codehaus. All rights reserved.